@import url("https://fonts.googleapis.com/css2?family=Inter:wght@200;300;400;700&display=swap");

body,
html {
  width: 100%;
  height: 100%;
}

#root {
  height: 100%;
}

.App {
  max-width: 500px;
  min-height: 100vh;
  margin: 0px auto;
  text-align: unset;
  position: relative;
  font-family: "Inter", sans-serif;
  box-shadow: 0px 0px 6px 4px #1717170f;
}

.container {
  margin: 15px 15px;
}

.page-icon {
  margin: 0;
  position: absolute;
  top: 5%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.d-flex {
  display: flex;
}
.align-center {
  align-items: center;
}
.flex-row-wrap {
  flex-flow: row wrap;
}
.justify-space-between {
  justify-content: space-between;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin-block-start: unset;
  margin-block-end: unset;
}

a {
  text-decoration: unset;
  color: unset;
}

@media only screen and (max-width: 450px) {
  h4 {
    font-size: 12px !important;
  }
  h5 {
    font-size: 11px;
  }
  h6 {
    font-size: 10px;
  }
  p {
    font-size: 9px;
  }
}

.disabled-svg {
  filter: invert(68%) sepia(11%) saturate(0%) hue-rotate(236deg) brightness(96%)
    contrast(89%);
}

.text-black {
  color: #464646;
}

.text-center {
  text-align: center;
}
.text-capitalize {
  text-transform: capitalize;
}
.text-uppercase {
  text-transform: uppercase;
}

.vh-center {
  margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
